RDKit::MolStandardize::ValidationMethod Class Referenceabstract

The ValidationMethod class is the abstract base class upon which all the. More...

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::ValidationMethod:

## Public Member Functions

virtual std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const =0

## Detailed Description

The ValidationMethod class is the abstract base class upon which all the.

Definition at line 51 of file Validate.h.

## Member Function Documentation

## validate()

virtual std::vector<ValidationErrorInfo> RDKit::MolStandardize::ValidationMethod::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures
| ) |  | const

pure virtual

Implemented in RDKit::MolStandardize::DisallowedAtomsValidation, RDKit::MolStandardize::AllowedAtomsValidation, RDKit::MolStandardize::MolVSValidation, and RDKit::MolStandardize::RDKitValidation.

The documentation for this class was generated from the following file:

- Validate.h